/*
 * Copyright 2022 Philadelphia authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.paritytrading.philadelphia.fix40;

/*
 * This file has been automatically generated using Philadelphia Code
 * Generator. For more information on Philadelphia Code Generator, see:
 *
 *   https://github.com/paritytrading/philadelphia
 */

/**
 * Tags for FIX 4.0.
 */
public class FIX40Tags {

    public static final int Account          = 1;
    public static final int AdvId            = 2;
    public static final int AdvRefID         = 3;
    public static final int AdvSide          = 4;
    public static final int AdvTransType     = 5;
    public static final int AvgPx            = 6;
    public static final int BeginSeqNo       = 7;
    public static final int BeginString      = 8;
    public static final int BodyLength       = 9;
    public static final int CheckSum         = 10;
    public static final int ClOrdID          = 11;
    public static final int Commission       = 12;
    public static final int CommType         = 13;
    public static final int CumQty           = 14;
    public static final int Currency         = 15;
    public static final int EndSeqNo         = 16;
    public static final int ExecID           = 17;
    public static final int ExecInst         = 18;
    public static final int ExecRefID        = 19;
    public static final int ExecTransType    = 20;
    public static final int HandlInst        = 21;
    public static final int IDSource         = 22;
    public static final int IOIid            = 23;
    public static final int IOIOthSvc        = 24;
    public static final int IOIQltyInd       = 25;
    public static final int IOIRefID         = 26;
    public static final int IOIShares        = 27;
    public static final int IOITransType     = 28;
    public static final int LastCapacity     = 29;
    public static final int LastMkt          = 30;
    public static final int LastPx           = 31;
    public static final int LastShares       = 32;
    public static final int LinesOfText      = 33;
    public static final int MsgSeqNum        = 34;
    public static final int MsgType          = 35;
    public static final int NewSeqNo         = 36;
    public static final int OrderID          = 37;
    public static final int OrderQty         = 38;
    public static final int OrdStatus        = 39;
    public static final int OrdType          = 40;
    public static final int OrigClOrdID      = 41;
    public static final int OrigTime         = 42;
    public static final int PossDupFlag      = 43;
    public static final int Price            = 44;
    public static final int RefSeqNum        = 45;
    public static final int RelatdSym        = 46;
    public static final int Rule80A          = 47;
    public static final int SecurityID       = 48;
    public static final int SenderCompID     = 49;
    public static final int SenderSubID      = 50;
    public static final int SendingTime      = 52;
    public static final int Shares           = 53;
    public static final int Side             = 54;
    public static final int Symbol           = 55;
    public static final int TargetCompID     = 56;
    public static final int TargetSubID      = 57;
    public static final int Text             = 58;
    public static final int TimeInForce      = 59;
    public static final int TransactTime     = 60;
    public static final int Urgency          = 61;
    public static final int ValidUntilTime   = 62;
    public static final int SettlmntTyp      = 63;
    public static final int FutSettDate      = 64;
    public static final int SymbolSfx        = 65;
    public static final int ListID           = 66;
    public static final int ListSeqNo        = 67;
    public static final int ListNoOrds       = 68;
    public static final int ListExecInst     = 69;
    public static final int AllocID          = 70;
    public static final int AllocTransType   = 71;
    public static final int RefAllocID       = 72;
    public static final int NoOrders         = 73;
    public static final int AvgPrxPrecision  = 74;
    public static final int TradeDate        = 75;
    public static final int ExecBroker       = 76;
    public static final int OpenClose        = 77;
    public static final int NoAllocs         = 78;
    public static final int AllocAccount     = 79;
    public static final int AllocShares      = 80;
    public static final int ProcessCode      = 81;
    public static final int NoRpts           = 82;
    public static final int RptSeq           = 83;
    public static final int CxlQty           = 84;
    public static final int NoDlvyInst       = 85;
    public static final int DlvyInst         = 86;
    public static final int AllocStatus      = 87;
    public static final int AllocRejCode     = 88;
    public static final int Signature        = 89;
    public static final int SecureDataLen    = 90;
    public static final int SecureData       = 91;
    public static final int BrokerOfCredit   = 92;
    public static final int SignatureLength  = 93;
    public static final int EmailType        = 94;
    public static final int RawDataLength    = 95;
    public static final int RawData          = 96;
    public static final int PossResend       = 97;
    public static final int EncryptMethod    = 98;
    public static final int StopPx           = 99;
    public static final int ExDestination    = 100;
    public static final int CxlRejReason     = 102;
    public static final int OrdRejReason     = 103;
    public static final int IOIQualifier     = 104;
    public static final int WaveNo           = 105;
    public static final int Issuer           = 106;
    public static final int SecurityDesc     = 107;
    public static final int HeartBtInt       = 108;
    public static final int ClientID         = 109;
    public static final int MinQty           = 110;
    public static final int MaxFloor         = 111;
    public static final int TestReqID        = 112;
    public static final int ReportToExch     = 113;
    public static final int LocateReqd       = 114;
    public static final int OnBehalfOfCompID = 115;
    public static final int OnBehalfOfSubID  = 116;
    public static final int QuoteID          = 117;
    public static final int NetMoney         = 118;
    public static final int SettlCurrAmt     = 119;
    public static final int SettlCurrency    = 120;
    public static final int ForexReq         = 121;
    public static final int OrigSendingTime  = 122;
    public static final int GapFillFlag      = 123;
    public static final int NoExecs          = 124;
    public static final int CxlType          = 125;
    public static final int ExpireTime       = 126;
    public static final int DKReason         = 127;
    public static final int DeliverToCompID  = 128;
    public static final int DeliverToSubID   = 129;
    public static final int IOINaturalFlag   = 130;
    public static final int QuoteReqID       = 131;
    public static final int BidPx            = 132;
    public static final int OfferPx          = 133;
    public static final int BidSize          = 134;
    public static final int OfferSize        = 135;
    public static final int NoMiscFees       = 136;
    public static final int MiscFeeAmt       = 137;
    public static final int MiscFeeCurr      = 138;
    public static final int MiscFeeType      = 139;
    public static final int PrevClosePx      = 140;

    private FIX40Tags() {
    }

}
